## net.i2p.router.web
Class SummaryHelper

    java.lang.Object
      net.i2p.router.web.SummaryHelper

    public class SummaryHelper

extends java.lang.Object

Simple helper to query the appropriate router for data necessary to render the summary sections on the router console.

Constructor Summary
`SummaryHelper()`

Method Summary
`boolean` `allowReseed()`
`int` `getActivePeers()` How many peers we are talking to now
`int` `getActiveProfiles()` How many active identities have we spoken with recently
`int` `getAllPeers()`
`java.lang.String` `getDestinations()` How many client destinations are connected locally.
`int` `getFailingPeers()` How many peers the router ranks as failing.
`int` `getFastPeers()` How many active peers the router ranks as fast.
`int` `getHighCapacityPeers()` How many active peers the router ranks as having a high capacity.
`java.lang.String` `getIdent()` Retrieve the shortened 4 character ident for the router located within the current JVM at the given context.
`java.lang.String` `getInboundBacklog()`
`int` `getInboundClientTunnels()` How many inbound client tunnels we have.
`java.lang.String` `getInboundFiveMinuteKBps()` How fast we have been receiving data over the last 5 minutes (pretty printed string with 2 decimal places representing the KBps)
`java.lang.String` `getInboundLifetimeKBps()` How fast we have been receiving data since the router started (pretty printed string with 2 decimal places representing the KBps)
`java.lang.String` `getInboundSecondKBps()` How fast we have been receiving data over the last second (pretty printed string with 2 decimal places representing the KBps)
`java.lang.String` `getInboundTransferred()` How much data have we received since the router started (pretty printed string with 2 decimal places and the appropriate units - GB/MB/KB/bytes)
`int` `getInboundTunnels()` How many free inbound tunnels we have.
`java.lang.String` `getJobLag()` How lagged our job queue is over the last minute (pretty printed with the units attached)
`java.lang.String` `getMemory()` Retrieve amount of used memory.
`java.lang.String` `getMessageDelay()` How long it takes us to pump out a message, averaged over the last minute (pretty printed with the units attached)
`int` `getOutboundClientTunnels()` How many active outbound client tunnels we have.
`java.lang.String` `getOutboundFiveMinuteKBps()` How fast we have been sending data over the last 5 minutes (pretty printed string with 2 decimal places representing the KBps)
`java.lang.String` `getOutboundLifetimeKBps()` How fast we have been sending data since the router started (pretty printed string with 2 decimal places representing the KBps)
`java.lang.String` `getOutboundSecondKBps()` How fast we have been sending data over the last second (pretty printed string with 2 decimal places representing the KBps)
`java.lang.String` `getOutboundTransferred()` How much data have we sent since the router started (pretty printed string with 2 decimal places and the appropriate units - GB/MB/KB/bytes)
`int` `getOutboundTunnels()` How many active outbound tunnels we have.
`int` `getParticipatingTunnels()` How many tunnels we are participating in.
`java.lang.String` `getReachability()`
`int` `getShitlistedPeers()` How many peers totally suck.
`java.lang.String` `getTime()`
`java.lang.String` `getTunnelLag()` How long it takes us to test our tunnels, averaged over the last 10 minutes (pretty printed with the units attached)
`java.lang.String` `getUptime()` Retrieve a pretty printed uptime count (ala 4d or 7h or 39m)
`java.lang.String` `getVersion()` Retrieve the version number of the router.
`int` `getWellIntegratedPeers()` How many active peers the router ranks as well integrated.
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`boolean` `updateAvailable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryHelper

    public SummaryHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getIdent

    public java.lang.String getIdent()

  Retrieve the shortened 4 character ident for the router located within the current JVM at the given context.

### getVersion

    public java.lang.String getVersion()

  Retrieve the version number of the router.

### getUptime

    public java.lang.String getUptime()

  Retrieve a pretty printed uptime count (ala 4d or 7h or 39m)

### getTime

    public java.lang.String getTime()

### allowReseed

    public boolean allowReseed()

### getAllPeers

    public int getAllPeers()

### getReachability

    public java.lang.String getReachability()

### getMemory

    public java.lang.String getMemory()

  Retrieve amount of used memory.

### getActivePeers

    public int getActivePeers()

  How many peers we are talking to now

### getActiveProfiles

    public int getActiveProfiles()

  How many active identities have we spoken with recently

### getFastPeers

    public int getFastPeers()

  How many active peers the router ranks as fast.

### getHighCapacityPeers

    public int getHighCapacityPeers()

  How many active peers the router ranks as having a high capacity.

### getWellIntegratedPeers

    public int getWellIntegratedPeers()

  How many active peers the router ranks as well integrated.

### getFailingPeers

    public int getFailingPeers()

  How many peers the router ranks as failing.

### getShitlistedPeers

    public int getShitlistedPeers()

  How many peers totally suck.

### getInboundSecondKBps

    public java.lang.String getInboundSecondKBps()

  How fast we have been receiving data over the last second (pretty printed string with 2 decimal places representing the KBps)

### getOutboundSecondKBps

    public java.lang.String getOutboundSecondKBps()

  How fast we have been sending data over the last second (pretty printed string with 2 decimal places representing the KBps)

### getInboundFiveMinuteKBps

    public java.lang.String getInboundFiveMinuteKBps()

  How fast we have been receiving data over the last 5 minutes (pretty printed string with 2 decimal places representing the KBps)

### getOutboundFiveMinuteKBps

    public java.lang.String getOutboundFiveMinuteKBps()

  How fast we have been sending data over the last 5 minutes (pretty printed string with 2 decimal places representing the KBps)

### getInboundLifetimeKBps

    public java.lang.String getInboundLifetimeKBps()

  How fast we have been receiving data since the router started (pretty printed string with 2 decimal places representing the KBps)

### getOutboundLifetimeKBps

    public java.lang.String getOutboundLifetimeKBps()

  How fast we have been sending data since the router started (pretty printed string with 2 decimal places representing the KBps)

### getInboundTransferred

    public java.lang.String getInboundTransferred()

  How much data have we received since the router started (pretty printed string with 2 decimal places and the appropriate units - GB/MB/KB/bytes)

### getOutboundTransferred

    public java.lang.String getOutboundTransferred()

  How much data have we sent since the router started (pretty printed string with 2 decimal places and the appropriate units - GB/MB/KB/bytes)

### getDestinations

    public java.lang.String getDestinations()

  How many client destinations are connected locally.

  Returns:
    html section summary

### getInboundTunnels

    public int getInboundTunnels()

  How many free inbound tunnels we have.

### getOutboundTunnels

    public int getOutboundTunnels()

  How many active outbound tunnels we have.

### getInboundClientTunnels

    public int getInboundClientTunnels()

  How many inbound client tunnels we have.

### getOutboundClientTunnels

    public int getOutboundClientTunnels()

  How many active outbound client tunnels we have.

### getParticipatingTunnels

    public int getParticipatingTunnels()

  How many tunnels we are participating in.

### getJobLag

    public java.lang.String getJobLag()

  How lagged our job queue is over the last minute (pretty printed with the units attached)

### getMessageDelay

    public java.lang.String getMessageDelay()

  How long it takes us to pump out a message, averaged over the last minute (pretty printed with the units attached)

### getTunnelLag

    public java.lang.String getTunnelLag()

  How long it takes us to test our tunnels, averaged over the last 10 minutes (pretty printed with the units attached)

### getInboundBacklog

    public java.lang.String getInboundBacklog()

### updateAvailable

    public boolean updateAvailable()